Description

PREMESSA:

Visto la perdita di tempo nella correzione e inserimento di dati(corretti) nel file di import di massa, si chiede quanto segue:

RICHIESTA:

Implementazione in OCTONET di una routine di controllo sulla:

1.)validita del formato dei dati, durante l'importazione,

2.)controllo di eventuali utenti duplicati (sia nel file che si sta presentando, sia database LDAP esistente)
3.)possibilita di correzione dei caratteri non validi e/o utenti duplicati, nel momento in cui viene segnalato dal sistema.
(es. caratteri non validi quali "é"; "o"; "0"; "6"; "a"; "B"; "SPAZI"; "D"; ecc....... )

grazie

Associated revisions

Revision 2136e98d - 07/28/2017 03:41 PM - Mark Caglienzi

Draft new view. refs: #353

Revision c4e5dab9 - 07/28/2017 05:02 PM - Mark Caglienzi

Add first euristics: delimiter (',' and ';' are supported). refs: #353

Revision 289c42e0 - 07/28/2017 05:08 PM - Mark Caglienzi

Add second euristics: check that all rows have the same number of columns, interrupting as soon as one is different. refs: #353

Revision 20a47648 - 07/28/2017 05:09 PM - Mark Caglienzi

Better comment. refs: #353

Revision b9f298f8 - 07/28/2017 05:09 PM - Mark Caglienzi
Comment this print. refs: #353

Revision 5149f10c - 07/31/2017 03:57 PM - Mark Caglienzi
Fix the problem with BOM directly in CSV importing. refs #353 #346

Revision abc7dc7c - 07/31/2017 05:03 PM - Mark Caglienzi

Check for BOM and columns number, supporting showing the errors to the user. refs: #353

Revision 6694919 - 07/31/2017 05:03 PM - Mark Caglienzi
Template. refs: #353

Revision 3a87a296 - 08/01/2017 03:57 PM - Mark Caglienzi

Add field to the form, to hold the column number for the username. refs: #353

Revision 3bd28d66 - 08/01/2017 03:58 PM - Mark Caglienzi

Add support to find duplicate usernames. refs: #353
Revision 327b6ea6 - 08/01/2017 03:58 PM - Mark Caglienzi

Somewhat modify the Ul to show duplicate usernames. refs: #353

Revision 4039c0Oba - 08/01/2017 04:23 PM - Mark Caglienzi

Better message. refs: #353

Revision bf6b028f - 08/01/2017 04:28 PM - Mark Caglienzi

If the file has different number of columns even in one line, the duplicate usernames check does not have meaning at all. refs: #353

Revision 12fd2d78 - 08/01/2017 04:57 PM - Mark Caglienzi

Add support for username validation. refs: #353

Revision 070ff89d - 08/01/2017 04:58 PM - Mark Caglienzi

Also the not valid usernames check has no meaning in this case. refs: #353

Revision 56f6fef2 - 08/07/2017 03:29 PM - Mark Caglienzi
Add example CSV files. refs #353

Revision 41c¢34c0f - 08/07/2017 03:36 PM - Christopher R. Gabriel
refs #353

version bump

History

#1 - 07/20/2017 10:32 AM - Elena Grandi
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Riassegno per richiesta di approvazione per I'implementazione di nuove feature.
#2 - 07/28/2017 12:00 PM - Mark Caglienzi
- Status changed from Nuovo to In elaborazione

- Assignee changed from Paolo Dongilli to Mark Caglienzi

Vista la richiesta https:/labs.truelite.it/issues/9823, procedo

#3 - 08/07/2017 04:06 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti
- Assignee changed from Mark Caglienzi to Andrea Padovan

Pubblicato octonet 0.2.26 che include la funzionalita richiesta.

#4 - 08/23/2017 02:49 PM - Paolo Dongilli
Christopher R. Gabriel ha scritto:

Pubblicato octonet 0.2.26 che include la funzionalita richiesta.

Andrea, fai una verifica appena puoi, grazie.
#5 - 08/24/2017 06:08 PM - Andrea Padovan
- File Uploading-error.png added

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

ho aggiornato il server e simulato un import di massa contenente caratteri "non graditi" tipo "a" 0"ecc.

Al pimo tentativo msono stato bloccato e informato in maniera dettagliata dove ci sono i campi con caratteri non graditi.

Per testare ho provato a cliccare piu volte sul tasto "Upload" e dopo la terza volta (se non erro) il sistema ha iniziato a fare I'Upload, ma impiantandosi
sulla schermata "Uploading............

allego foto

Forse andrebbe sistemato.
grazie, a presto

#6 - 08/24/2017 06:25 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Andrea Padovan ha scritto:
ho aggiornato il server e simulato un import di massa contenente caratteri "non graditi" tipo "a" 6"ecc.
Al pimo tentativo msono stato bloccato e informato in maniera dettagliata dove ci sono i campi con caratteri non graditi.
Per testare ho provato a cliccare piu volte sul tasto "Upload" e dopo la terza volta (se non erro) il sistema ha iniziato a fare I'Upload, ma
impiantandosi sulla schermata "Uploading............
allego foto

Forse andrebbe sistemato.

Servirebbe il file utilizzato per riprodurre il problema e verificarlo. Se contiene dati personali/sensibili, per favore non allegarlo qui (pubblico) e
inviacelo in forma privata.

#7 - 08/25/2017 04:50 PM - Andrea Padovan
- File test.csv added

Il file originale & stato perso, ma ne allego uno simile (ci sono dati puramente inventati). Non sono nella condizione ora di ritestarlo. Lunedi si pero.

Dimmi in caso se ho sbagliato qualcosa io nel generarlo.: | campi non corrispondono a tutti quelli "possibili" da riempire nell'importazione di massa.
Potrebbe essere questo un problema ?

Ho una domanda: nella grafica dell'import di massa di Octonet, i campi indicati (di colore diverso) vengono disposti su due righe separate. Non
pensate sia meglio mettere tutte le voci (colorate per intenderci) su un unica riga?

A presto, Andrea

#8 - 08/25/2017 04:51 PM - Andrea Padovan

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

#9 - 08/28/2017 08:59 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Andrea Padovan ha scritto:

Il file originale & stato perso, ma ne allego uno simile (ci sono dati puramente inventati). Non sono nella condizione ora di ritestarlo. Lunedi si
pero.

Mi serve il file che ti genera I'errore. Se riesci a generarlo anche con quello che hai allegato, fammi sapere. Se non riproduciamo I'errore non
sappiamo cosa eventualmente correggere.

Dimmi in caso se ho sbagliato qualcosa io nel generarlo.: | campi non corrispondono a tutti quelli "possibili" da riempire nell'importazione di
massa. Potrebbe essere questo un problema ?

No, perche' puoi non assegnargli tutti, e se manca qualcosa, o li genera octonet oppure ti da un errore.

Ho una domanda: nella grafica dell'import di massa di Octonet, i campi indicati (di colore diverso) vengono disposti su due righe separate. Non
pensate sia meglio mettere tutte le voci (colorate per intenderci) su un unica riga?

Non ho capito la domanda: quali sono i campi "indicati"? in che pagina? Puoi produrre uno screenshot?
#10 - 07/28/2018 05:23 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso

Chiudo in quanto gli errori indicati non sono riproducibili e per mancata interazione.

Files

Uploading-error.png 96.5 KB

test.csv 110 Bytes
